package com.yd.csf.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yd.csf.service.model.UserBank;
import com.yd.csf.service.dao.UserBankMapper;
import com.yd.csf.service.service.IUserBankService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户银行信息表 服务实现类
 * </p>
 *
 * @author zxm
 * @since 2026-06-11
 */
@Service
public class UserBankServiceImpl extends ServiceImpl<UserBankMapper, UserBank> implements IUserBankService {

    @Override
    public Boolean del(String csfClientUserBizId) {
        return this.remove(new LambdaQueryWrapper<UserBank>()
                .eq(UserBank::getCsfClientUserBizId,csfClientUserBizId));
    }

    @Override
    public List<UserBank> queryList(String csfClientUserBizId) {
        return this.list(new LambdaQueryWrapper<UserBank>()
                .eq(UserBank::getCsfClientUserBizId,csfClientUserBizId));
    }
}
